apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: knck-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: "8m"
spec:
  tls:
  - hosts:
    - knck.pl
    - api.knck.pl
    secretName: knck-tls
  rules:
  - host: knck.pl
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: knck-app
            port:
              number: 80
  - host: api.knck.pl
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: knck-app
            port:
              number: 3001 